Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf.genes.mutators
Class PathResolver

    java.lang.Object
      com.bea.netuix.laf.genes.mutators.PathResolver

All Implemented Interfaces
  Mutator, Serializable

    public class PathResolver

extends Object
implements Mutator

`PathResolver` performs path resolution for Look and Feel resources. It provides functionality similar to `HtmlPathResolver` for genes. Resource paths specified as gene values are resolved based on the search path of the specified (as "path-type") resource type. For example:

     <gene name="icon">
      <value>icon.gif</value>
      <mutator name="path-resolver">
       <arg name="path-type">images</arg>
      </mutator>
     </gene>

The resulting gene value will be the resolved path of the icon.gif image based on the configured skin image search path.

See Also
  `HtmlPathResolver`, "Skin and Skeleton configuration element <render-dependencies>", Serialized Form

Constructor Summary
`PathResolver()`

Method Summary
`String` | `mutate(String mutatorName, String currentValue, Gene gene, Map<String,String> args, MutationContext context)` Performs image path resolution for resource path specified as a gene value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathResolver

    public PathResolver()

Method Detail

### mutate

    public String mutate(String mutatorName,
                         String currentValue,
                         Gene gene,
                         Map<String,String> args,
                         MutationContext context)

  Performs image path resolution for resource path specified as a gene value. The following arguments are supported by this mutator:

  argument | required? | value | notes
  --- | --- | --- | ---
  path-type | yes | one of: "links", "scripts", "styles", "images" | "images" path-type is only applicable for skin-related genes

  Specified by:
    `mutate` in interface `Mutator`
  Parameters
    `mutatorName` - Ignored
    `currentValue` - Parital resource path to resolve
    `args` - See above
    `gene` - The gene being mutated
    `context` - The context for mutation
  Returns
    The resolved resource path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.